Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595454 - Doesn't detect any ethernet interface
Summary: Doesn't detect any ethernet interface
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iptraf
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Nikola Pajkovsky
QA Contact: Zbysek MRAZ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-24 16:37 UTC by Tomáš Bžatek
Modified: 2015-03-03 22:48 UTC (History)
4 users (show)

Fixed In Version: iptraf-3.0.1-12.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 20:41:18 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Tomáš Bžatek 2010-05-24 16:37:48 UTC
Description of problem:
Can't start monitoring on ethernet interfaces, no eth available in the list

Version-Release number of selected component (if applicable):
iptraf-3.0.1-11.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. fire up iptraf
2. select "IP traffic monitor"
  
Actual results:
only "All interfaces" and "lo" are listed

Expected results:
eth2 should be in the list

Additional info:
"iptraf -s eth2" works, showing some traffic around

Comment 2 Tomáš Bžatek 2010-05-24 16:39:25 UTC
0e:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5755 Gigabit Ethernet PCI Express (rev 02)
0f:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5755 Gigabit Ethernet PCI Express (rev 02)
20:00.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5751 Gigabit Ethernet PCI Express (rev 21)

tg3.c:v3.106 (January 12, 2010)
tg3 0000:20:00.0: PCI INT A -> GSI 32 (level, low) -> IRQ 32
tg3 0000:20:00.0: setting latency timer to 64
tg3 0000:0e:00.0: PCI INT A -> GSI 16 (level, low) -> IRQ 16
tg3 0000:0e:00.0: setting latency timer to 64
tg3 0000:0f:00.0: PCI INT A -> GSI 17 (level, low) -> IRQ 17
tg3 0000:0f:00.0: setting latency timer to 64
tg3 0000:0f:00.0: irq 80 for MSI/MSI-X
tg3: eth2: Link is up at 1000 Mbps, full duplex.
tg3: eth2: Flow control is on for TX and on for RX.
tg3 0000:20:00.0: irq 81 for MSI/MSI-X
tg3 0000:0e:00.0: irq 82 for MSI/MSI-X

Comment 4 RHEL Product and Program Management 2010-05-25 07:56:34 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 7 Tomáš Bžatek 2010-08-30 12:58:13 UTC
Confirming it works as expected with iptraf-3.0.1-13.el6.x86_64

Comment 9 releng-rhel@redhat.com 2010-11-10 20:41:18 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.